com.aliyun.svideosdk.mixrecorder

## Class AliyunMixTrackLayoutParam.Builder

- java.lang.Object
- - com.aliyun.svideosdk.mixrecorder.AliyunMixTrackLayoutParam.Builder

- Enclosing class:
    AliyunMixTrackLayoutParam

      public static final class AliyunMixTrackLayoutParam.Builder
      extends java.lang.Object

  `AliyunMixTrackLayoutParam` 构建器

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunMixTrackLayoutParam.Builder` | `borderParam(AliyunMixBorderParam param)` 设置混合视频的边框圆角参数 v3.21.0 新增
    `AliyunMixTrackLayoutParam` | `build()` 构建`AliyunMixTrackLayoutParam`对象
    `AliyunMixTrackLayoutParam.Builder` | `centerX(float val)` 设置轨道窗口的中心点X坐标
    `AliyunMixTrackLayoutParam.Builder` | `centerY(float val)` 轨道窗口的中心点Y坐标
    `AliyunMixTrackLayoutParam.Builder` | `heightRatio(float val)` 轨道窗口高占视频输出高度的比例
    `AliyunMixTrackLayoutParam.Builder` | `widthRatio(float val)` 轨道窗口的宽占视频输出宽度的比例

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### centerX

          public AliyunMixTrackLayoutParam.Builder centerX(float val)

      设置轨道窗口的中心点X坐标
      Parameters:
        `val` - 中心点X坐标，归一化的坐标值[0，1]，越界则被修改为临界值
      Returns:
        Builder

    - #### centerY

          public AliyunMixTrackLayoutParam.Builder centerY(float val)

      轨道窗口的中心点Y坐标
      Parameters:
        `val` - 中心点Y坐标，归一化的值[0，1]，越界则被修改为临界值
      Returns:
        Builder

    - #### widthRatio

          public AliyunMixTrackLayoutParam.Builder widthRatio(float val)

      轨道窗口的宽占视频输出宽度的比例
      Parameters:
        `val` - 输出宽度的比例，归一化的值范围为(0, 1]，大于1则，被修改为1，小于0则不生效。
      Returns:
        Builder

    - #### heightRatio

          public AliyunMixTrackLayoutParam.Builder heightRatio(float val)

      轨道窗口高占视频输出高度的比例
      Parameters:
        `val` - 输出高度的比例，归一化的值范围为(0, 1]，大于1则，被修改为1，小于0则不生效。
      Returns:
        Builder

    - #### borderParam

          public AliyunMixTrackLayoutParam.Builder borderParam(AliyunMixBorderParam param)

      设置混合视频的边框圆角参数 v3.21.0 新增
      Parameters:
        `param` - 混合视频的边框参数 `AliyunMixBorderParam`
      Returns:
        a reference to this Builder

    - #### build

          public AliyunMixTrackLayoutParam build()

      构建`AliyunMixTrackLayoutParam`对象
      Returns:
        `AliyunMixTrackLayoutParam` 对象